summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2014-10-13 06:25:46 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-13 06:25:46 +0700
commit602b2b91c2ecd8645344387db4bcfa31f37bc549 (patch)
treea30f5624fa17bbd92e7d95dcff27dd66ba77df1d /audio
parent3bca4d2b63c8b80833a161acd98087aa701c71ce (diff)
downloadslackbuilds-602b2b91c2ecd8645344387db4bcfa31f37bc549.tar.gz
slackbuilds-602b2b91c2ecd8645344387db4bcfa31f37bc549.tar.xz
audio/xwax: Added (Digital Vinyl System).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/xwax/README25
-rw-r--r--audio/xwax/setcap.sh1
-rw-r--r--audio/xwax/slack-desc19
-rw-r--r--audio/xwax/xwax.SlackBuild104
-rw-r--r--audio/xwax/xwax.info10
5 files changed, 159 insertions, 0 deletions
diff --git a/audio/xwax/README b/audio/xwax/README
new file mode 100644
index 0000000000..c972bd54f4
--- /dev/null
+++ b/audio/xwax/README
@@ -0,0 +1,25 @@
+xwax is an open-source Digital Vinyl System (DVS) for Linux.
+It allows DJs and turntablists to playback digital audio
+files (MP3, Ogg Vorbis, FLAC, AAC and more), controlled using a
+normal pair of turntables via timecoded vinyls.
+
+It's designed for both beat mixing and scratch mixing. Needle drops,
+pitch changes, scratching, spinbacks and rewinds are all supported,
+and feel just like the audio is pressed onto the vinyl itself.
+
+The focus is on an accurate vinyl feel which is efficient, stable
+and fast.
+
+Optionally install `faad' (AAC) and/or `ffmpeg' in advance for various
+additional audio formats. With stock Slackware packages, it already
+supports MP3, OGG, FLAC, WAV, AIFC & PCM.
+`xwax-import` needs `ffmpeg' for other media than MP3 or CDAUDIO.
+
+Note:
+xwax does not work without realtime priorities and so uses POSIX
+filesystem capabilities to execute with elevated privileges
+(required for realtime audio processing). This may be considered
+a security/stability risk.
+Please read http://www.slackbuilds.org/caps/ for more information.
+
+Optional dependencies: faad, ffmpeg
diff --git a/audio/xwax/setcap.sh b/audio/xwax/setcap.sh
new file mode 100644
index 0000000000..bee0ec2381
--- /dev/null
+++ b/audio/xwax/setcap.sh
@@ -0,0 +1 @@
+[ -x /sbin/setcap ] && /sbin/setcap cap_ipc_lock,cap_sys_nice=ep usr/bin/xwax
diff --git a/audio/xwax/slack-desc b/audio/xwax/slack-desc
new file mode 100644
index 0000000000..5f58b93677
--- /dev/null
+++ b/audio/xwax/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xwax: xwax (Digital Vinyl System)
+xwax:
+xwax: xwax is an open-source Digital Vinyl System (DVS) for Linux.
+xwax: It allows DJs and turntablists to playback digital audio
+xwax: files (MP3, Ogg Vorbis, FLAC, AAC and more), controlled using a
+xwax: normal pair of turntables via timecoded vinyls.
+xwax:
+xwax: Homepage: http://xwax.org/
+xwax:
+xwax:
+xwax:
diff --git a/audio/xwax/xwax.SlackBuild b/audio/xwax/xwax.SlackBuild
new file mode 100644
index 0000000000..373b5faec6
--- /dev/null
+++ b/audio/xwax/xwax.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# SlackBuild script for "xwax".
+
+# Copyright 2014 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xwax
+VERSION=${VERSION:-1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+#sed -i 's#/share/man#/man#' Makefile
+#sed -i 's#/share/doc#/doc#' Makefile
+
+./configure \
+ --enable-alsa \
+ --enable-jack
+
+CFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKCFLAGS" \
+make EXECDIR=/usr/libexec
+make install PREFIX=/usr EXECDIR=/usr/libexec MANDIR=/usr/man DOCDIR=/usr/doc \
+ DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/setcap.sh > $PKG/install/doinst.sh
+# Only allow execution by audio group
+chown root:audio $PKG/usr/bin/xwax
+chmod 0750 $PKG/usr/bin/xwax
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/xwax/xwax.info b/audio/xwax/xwax.info
new file mode 100644
index 0000000000..63cff91d0b
--- /dev/null
+++ b/audio/xwax/xwax.info
@@ -0,0 +1,10 @@
+PRGNAM="xwax"
+VERSION="1.5"
+HOMEPAGE="http://xwax.org/"
+DOWNLOAD="http://xwax.org/releases/xwax-1.5.tar.gz"
+MD5SUM="7c2f30c3a9a71c4dba107e3eb9b40430"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jack-audio-connection-kit"
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"